PDA

Visualizza la versione completa : Aggiorno GIMP e non parte più Kde


shishii
08-05-2004, 17:20
Ciao,

la situazione è questa:

Fedora aggiornato a kde3.2.2 kernel 2.6.2 ricompilato

tutto ok... poi decido di aggiornare Gimp alla versione 2 e per soddisfare tutte le dipendenze devo aggiornare tutti questi rpm:

atk-1.6.0-1.i386.rpm
atk-devel-1.6.0-1.i386.rpm
fontconfig-2.2.1-10.i386.rpm
fontconfig-devel-2.2.1-10.i386.rpm
freetype-2.1.7-4.i386.rpm
freetype-devel-2.1.7-4.i386.rpm
gimp-2.0.1-3.i386.rpm
gimp-data-extras-1.2.0-11.noarch.rpm
gimp-devel-2.0.1-3.i386.rpm
gimp-print-4.2.6-11.i386.rpm
gimp-print-devel-4.2.6-11.i386.rpm
gimp-print-plugin-4.2.6-11.i386.rpm
gimp-print-utils-4.2.6-11.i386.rpm
glib2-2.4.0-1.i386.rpm
glib2-devel-2.4.0-1.i386.rpm
glibc-2.3.3-24.i686.rpm
glibc-common-2.3.3-24.i386.rpm
glibc-devel-2.3.3-24.i386.rpm
glibc-headers-2.3.3-24.i386.rpm
glibc-kernheaders-2.4-8.44.i386.rpm
glibc-profile-2.3.3-24.i386.rpm
glibc-utils-2.3.3-24.i386.rpm
gtk2-2.4.0-1.i386.rpm
gtk2-devel-2.4.0-1.i386.rpm
gtk2-engines-2.2.0-5.i386.rpm
gtkam-0.1.11-2.i386.rpm
gtkam-gimp-0.1.11-2.i386.rpm
libcroco-0.4.0-4.i386.rpm
libcroco-devel-0.4.0-4.i386.rpm
libexif-0.5.12-2.1.i386.rpm
libexif-devel-0.5.12-2.1.i386.rpm
libselinux-1.11.4-1.i386.rpm
libselinux-devel-1.11.4-1.i386.rpm
lista.txt
pango-1.4.0-2.i386.rpm
pango-devel-1.4.0-2.i386.rpm
shadow-utils-4.0.3-21.i386.rpm
xsane-0.92-10.i386.rpm
xsane-gimp-0.92-10.i386.rpm


nessun errore... tutto continua a funzionare e vado a dormire.

oggi riaccendo e non parte più Kde... quando va a init 5 parte X e poi compare una maschera azzurra illeggibile e non va avanti.

Se da console digito kdm parte gnome.

tutte le applicazioni kde funzionano, per cui penso che ci sia un problema in qualche eseguibile o libreria di avvio di kde, ma come si può vedere dalla lista non mi pare che siano state toccate dall'aggiornamento di gimp.

Cosa potrebbe essere?

grazie.

shishii
08-05-2004, 17:41
Rettifico...

kde parte se entro in init 3, poi tramite kdm scelgo KDE, in pratica non funziona se avvio in init 5.

Bat
08-05-2004, 22:25
può essere che sia legato al fatto che gimp ti ha aggiornato le librerie gtk2?
non è che kde ha qualche conflitto/errore di configurazione rispetto alla nuova versione delle librerie?
dovresti provare a vedere il log.

shishii
08-05-2004, 22:27
Ciao,

si ... ho aggiornato le gtk2, ma cosa c'entrano con Kde che usa le Qt?

Bat
08-05-2004, 22:51
non ho mai capito a fondo che cosa usi cosa.
Ricordo anch'io che kde non si appoggia alle gtk, però diverse applicazioni (tra le quali gimp o mozilla ad esempio) usano le gtk per gestire l'interfaccia grafica. dal momento che questi girano anche su kde presumo che almeno una parte di quelle librerie possa venir caricato da kde preventivamente.
:bhò: non proprio ferrato sull'argomento ...

rex64
09-05-2004, 13:58
Prova ad aggiornare kde :fagiano:

Loading